javax.media.opengl.fixedfunc

## Class GLPointerFuncUtil

- java.lang.Object
- - javax.media.opengl.fixedfunc.GLPointerFuncUtil

-     public class GLPointerFuncUtil
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `mgl_Color`
    `static String` | `mgl_InterleaveArray`
    `static String` | `mgl_MultiTexCoord`
    `static String` | `mgl_Normal`
    `static String` | `mgl_Vertex`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GLPointerFuncUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getPredefinedArrayIndexName(int glArrayIndex)`
    `static String` | `getPredefinedArrayIndexName(int glArrayIndex, int multiTexCoordIndex)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mgl_Vertex

          public static final String mgl_Vertex

      See Also:
        Constant Field Values

    - #### mgl_Normal

          public static final String mgl_Normal

      See Also:
        Constant Field Values

    - #### mgl_Color

          public static final String mgl_Color

      See Also:
        Constant Field Values

    - #### mgl_MultiTexCoord

          public static final String mgl_MultiTexCoord

      See Also:
        Constant Field Values

    - #### mgl_InterleaveArray

          public static final String mgl_InterleaveArray

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GLPointerFuncUtil

          public GLPointerFuncUtil()

  - ### Method Detail

    - #### getPredefinedArrayIndexName

          public static String getPredefinedArrayIndexName(int glArrayIndex)

      Parameters:
        `glArrayIndex` - the fixed function array index
      Returns:
        default fixed function array name

    - #### getPredefinedArrayIndexName

          public static String getPredefinedArrayIndexName(int glArrayIndex,
                                           int multiTexCoordIndex)

      Parameters:
        `glArrayIndex` - the fixed function array index
        `multiTexCoordIndex` - index for multiTexCoordIndex
      Returns:
        default fixed function array name

Copyright 2010 JogAmp Community.